<?php
add_filter( 'mepr-wp-mail-subject', function( $subject, $recipients, $message, $headers ) {
	if ( strpos( $subject, '[Bürgeramt Terminsnipe | Sofort. Termin. Berlinweit.] Set Your New Password') !== false ) {
		$matches_name = array();
		preg_match('/Hi (.+?)\,/', $message, $matches_name);
		
		$subject = "Willkommen bei Terminsnipe, los geht's!";
	}
	else if ( strpos( $subject, '[Bürgeramt Terminsnipe | Sofort. Termin. Berlinweit.] Your new Password') !== false ) {
		$subject = 'Du hast dein Passwort erfolgreich geändert';
	}
	
	return $subject;
}, 11, 4 );

add_filter( 'mepr-wp-mail-message', function( $message, $recipients, $subject, $headers ) {
	if ( strpos( $subject, "Willkommen bei Terminsnipe, los geht's!") !== false ) {
		$matches = array();
		preg_match('/href="(.+?)"/', $message, $matches);
		
		$matches_name = array();
		preg_match('/Hi (.+?)\,/', $message, $matches_name);
		
    	$message = '<html>
					  <body>						
						<h1>Willkommen bei den Terminsnipern, ' . $matches_name[1] . '!</h1>
						<p>Klicke auf den unten stehenden Link, erstelle dein Passwort und werde Teil des Snipe-Hypes! Ab jetzt nie wieder Warteschleife am Bürgertelefon. Nie wieder außerhalb der Telefonzeiten. Nie wieder Chatbot Bobbi. Du bestimmst die Regeln, wir erledigen den Rest.</p>
						<p>Hier legst du ein Passwort fest: <a href="' . $matches[1] . '">Jetzt Passwort erstellen</a></p>
						<p>Übrigens: FastCoins sind unsere smarte und sichere Bezahlmethode für Premium-Zeiträume. Hast du es nicht so eilig? Dann schnappe dir einen Free-Termin. Du bestimmst die Regeln, wir erledigen den Rest.</p>						
					  </body>
					</html>';
	}
	else if ( strpos( $subject, 'Du hast dein Passwort erfolgreich geändert') !== false ) {
		$matches = array();
		preg_match('/You can now login here: (.+?)</', $message, $matches);

		$matches_name = array();
		preg_match('/(.+?)\,/', $message, $matches_name);
		
		$matches_email = array();
		preg_match('/Username: (.+?) /', $message, $matches_email);
		
		$message = '<p>
					  High Five, ' . trim($matches_name[1]) . '!
					  <br/><br/>
					  Du hast dein Passwort erfolgreich geändert:</p>
					<p>
					  Benutzername: ' . $matches_email[1] . '<br/>
					  Password: *** Erfolgreich geändert ***</p>
					<p>Hier kannst du dich direkt einloggen: <a href="' . $matches[1] . '">Jetzt einloggen</a></p>';
	}
	
	return $message;
}, 11, 4 );